
const timeZone = "US/Eastern"

module.exports = function (moment, time, price, prediction, trade) {

    const tradeRiskRate = 0.01

    // limit
    const tradeLimitPrice = trade.price + (trade.price * tradeRiskRate)
    if (price >= tradeLimitPrice) {
        const plPerShare = trade.price * tradeRiskRate
        trade.profitLoss = plPerShare * trade.position
        trade.status = "closed"
        return
    }

    // stop
    const tradeStopPrice = trade.price - (trade.price * tradeRiskRate)
    if (price <= tradeStopPrice) {
        const plPerShare = trade.price * -tradeRiskRate
        trade.profitLoss = plPerShare * trade.position
        trade.status = "closed"
        return
    }

    const mTime = moment.tz(time, timeZone)
    const trade_mTime = moment.tz(trade.time, timeZone)
    if (!mTime.isSame(trade_mTime, 'day')) {
        const plPerShare = ((price - trade.price) / Math.abs(trade.price))
        trade.profitLoss = plPerShare * trade.position
        trade.status = "closed"
        return
    }
}